Auto Update
View and manage Auto Update Settings.
Get a Auto Update Settings
/settings/v1/auto-update
Get a Auto Update Settings by Organization Id
Requires a bearer access token for this API with the Organization.Settings.AutoUpdate.Read permission. See Authentication.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/settings/v1/auto-update" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update a Auto Update Settings
/settings/v1/auto-update
Update a Auto Update Settings by Organization Id
Requires a bearer access token for this API with the Organization.Settings.AutoUpdate.Write permission. See Authentication.
Request body
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X PATCH "https://connect.cambrionix.com/api/settings/v1/auto-update" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "config": { "type": "release" }, "enabled": true, "period": { "days": [ "mon" ], "time": "string" } }'